%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif




Name:           awn-extras-applets
Version:        0.4.0
Release:        24%{?dist}
Summary:        Extras applets for avant window navigator

Group:          User Interface/Desktops
License:        GPLv2+ and LGPLv2+
URL:            https://launchpad.net/awn-extras/
Source0:        https://edge.launchpad.net/awn-extras/0.4/%{version}/+download/awn-extras-%{version}.tar.gz
Source1:        icon.svg
#http://launchpadlibrarian.net/44044152/python_dir.patch
Patch0:         python_dir.patch
#http://bazaar.launchpad.net/~awn-extras/awn-extras/trunk/revision/1305
Patch1:         1305_1304.diff
Patch2:         1306_1305.diff
Patch3:         1310_1309.diff
Patch4:         1311_1310.diff
Patch5:         1312_1311.diff
Patch6:         1302_1301.diff
Patch7:         1303_1302.diff
Patch8:         1318_1317.diff
Patch20:        1331_1330.diff
Patch21:        1388_1387.diff
Patch22:        1389_1388.diff
Patch23:        1390_1389.diff
Patch24:        1391_1390.diff
Patch25:        1286_1285.diff

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  avant-window-navigator-devel >= 0.4.0
BuildRequires:  libwnck-devel
BuildRequires:  libXres-devel
BuildRequires:  libglade2-devel
BuildRequires:  gnome-common
BuildRequires:  gnome-menus-devel
BuildRequires:  gnome-desktop-devel
BuildRequires:  librsvg2-devel
BuildRequires:  libgtop2-devel
BuildRequires:  gtk2-devel
BuildRequires:  dbus-devel
BuildRequires:  dbus-glib-devel
BuildRequires:  GConf2-devel
BuildRequires:  libsexy-devel
BuildRequires:  libnotify-devel
BuildRequires:  perl(XML::Parser)
BuildRequires:  pycairo-devel
BuildRequires:  pygtk2-devel
BuildRequires:  vte-devel
BuildRequires:  libXcomposite-devel
BuildRequires:  libtool
BuildRequires:  intltool 
BuildRequires:  vala-devel
BuildRequires:  WebKit-gtk-devel
BuildRequires:  libdesktop-agnostic-bin
#required for autoreconf:
BuildRequires:  autoconf, automake
Obsoletes:      awn-extras-applets-devel < %{version}-%{release}
Obsoletes:      %{name} < %{version}-%{release} 

Requires:       avant-window-navigator >= 0.4.0
Requires:       gnome-python2-gnome
Requires:       gnome-python2-gnomedesktop
Requires:       gnome-python2-gnomevfs
Requires:       gnome-python2-libwnck
Requires:       gnome-python2-rsvg
Requires:       gnome-python2-gtkmozembed
Requires:       gnome-python2-gconf
Requires:       gstreamer-python
Requires:       python-alsaaudio
Requires:       python-feedparser
Requires:       python-xklavier
Requires:       python-inotify
Requires:       python-feedparser
Requires:       python-dateutil
Requires:       python-gdata
Requires:       python-vobject
Requires:       gnome-menus
Requires:       acpi
Requires:       dbus-python
Requires:       pycairo
Requires:       pygtk2
Requires:       vte
Requires:       alacarte

Requires(pre):  GConf2
Requires(post): GConf2
Requires(preun): GConf2


%description
awn-extras-applets includes extras applets of Avant Window Navigator (Awn).


%prep
%setup -q -n awn-extras-%{version}
%patch0 -p0 -b .python_dir
%patch1 -p0 -b .1305_1304
%patch2 -p0 -b .1306_1305
%patch3 -p0 -b .1310_1309
%patch4 -p0 -b .1311_1310
%patch5 -p0 -b .1312_1311
%patch6 -p0 -b .1302_1301
%patch7 -p0 -b .1303_1302
%patch8 -p0 -b .1318_1317
%patch20 -p0 -b .1331_1330
%patch21 -p0 -b .1388_1387
%patch22 -p0 -b .1389_1388
%patch23 -p0 -b .1390_1389
%patch24 -p0 -b .1391_1390
%ifarch x86_64
%patch25 -p0 -b .1286_1285
%endif


cp -p %{SOURCE1} applets/unmaintained/MiMenu/icons



%build
libtoolize --force
autoreconf
%configure --disable-static \
           --disable-pymod-checks \
           --with-webkit \
           --disable-shave \
           --with-gnu-ld
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT

find ${RPM_BUILD_ROOT} -name '*.la' | xargs rm

%find_lang awn-extras

#fix non-executable-script
chmod +x $RPM_BUILD_ROOT%{_datadir}/avant-window-navigator/applets/comics/comics.sh

#remove script-shebang in non-executables
for lib in $RPM_BUILD_ROOT%{_datadir}/avant-window-navigator/applets/*/*.py; do
 sed '/\/usr\/bin\/python/d' $lib > $lib.new &&
 touch -r $lib $lib.new &&
 mv $lib.new $lib
done
for lib in $RPM_BUILD_ROOT%{_datadir}/avant-window-navigator/applets/*/*/*.py; do
 sed '/\/usr\/bin\/python/d' $lib > $lib.new &&
 touch -r $lib $lib.new &&
 mv $lib.new $lib
done
for lib in $RPM_BUILD_ROOT%{_datadir}/avant-window-navigator/applets/*/*.py; do
 sed '/\/usr\/bin\/env/d' $lib > $lib.new &&
 touch -r $lib $lib.new &&
 mv $lib.new $lib
done
for lib in $RPM_BUILD_ROOT%{_datadir}/avant-window-navigator/applets/*/*/*.py; do
 sed '/\/usr\/bin\/env/d' $lib > $lib.new &&
 touch -r $lib $lib.new &&
 mv $lib.new $lib
done

#remove test applets
rm -rf $RPM_BUILD_ROOT%{_datadir}/avant-window-navigator/applets/python-test
rm -rf $RPM_BUILD_ROOT%{_libdir}/awn/applets/vala-test
rm -f $RPM_BUILD_ROOT%{_datadir}/avant-window-navigator/applets/python-test.desktop
rm -f $RPM_BUILD_ROOT%{_datadir}/avant-window-navigator/applets/vala-test.desktop

#remove the pandora applet https://bugs.launchpad.net/awn-extras/+bug/362709
rm -rf $RPM_BUILD_ROOT%{_datadir}/avant-window-navigator/applets/pandora
rm -f $RPM_BUILD_ROOT%{_datadir}/avant-window-navigator/schemas/awn-applet-pandora.schema-ini
rm -f $RPM_BUILD_ROOT%{_datadir}/avant-window-navigator/applets/webapplet/icons/pandora-48.png
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/gconf/schemas/awn-applet-pandora.schemas
rm -f $RPM_BUILD_ROOT%{_datadir}/avant-window-navigator/applets/pandora.desktop


%pre
%gconf_schema_prepare awn-applet-awnterm awn-applet-bandwidth-monitor awn-applet-battery awn-applet-cairo-clock awn-applet-cairo-menu awn-applet-calendar awn-applet-comics awn-applet-cpufreq awn-applet-dialect awn-applet-digital-clock awn-applet-feeds awn-applet-file-browser-launcher awn-applet-garbage awn-applet-hardware-sensors awn-applet-mail awn-applet-media-control awn-applet-media-player awn-applet-mount awn-applet-notification-area awn-applet-notification-daemon awn-applet-places awn-applet-quit awn-applet-shinyswitcher awn-applet-slickswitcher awn-applet-stacks awn-applet-sysmon awn-applet-to-do awn-applet-volume-control awn-applet-weather awn-applet-webapplet awnsystemmonitor

%gconf_schema_obsolete DesktopManager arss awn-notification-daemon awnsystemmonitor awnterm cairo-clock digitalClock file-browser-launcher filebrowser places pynot-rgba pynot shinyswitcher to-do trash webapplet


%post
%gconf_schema_upgrade awn-applet-awnterm awn-applet-bandwidth-monitor awn-applet-battery awn-applet-cairo-clock awn-applet-cairo-menu awn-applet-calendar awn-applet-comics awn-applet-cpufreq awn-applet-dialect awn-applet-digital-clock awn-applet-feeds awn-applet-file-browser-launcher awn-applet-garbage awn-applet-hardware-sensors awn-applet-mail awn-applet-media-control awn-applet-media-player awn-applet-mount awn-applet-notification-area awn-applet-notification-daemon awn-applet-places awn-applet-quit awn-applet-shinyswitcher awn-applet-slickswitcher awn-applet-stacks awn-applet-sysmon awn-applet-to-do awn-applet-volume-control awn-applet-weather awn-applet-webapplet awnsystemmonitor

/sbin/ldconfig

touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%preun
%gconf_schema_remove awn-applet-awnterm awn-applet-bandwidth-monitor awn-applet-battery awn-applet-cairo-clock awn-applet-cairo-menu awn-applet-calendar awn-applet-comics awn-applet-cpufreq awn-applet-dialect awn-applet-digital-clock awn-applet-feeds awn-applet-file-browser-launcher awn-applet-garbage awn-applet-hardware-sensors awn-applet-mail awn-applet-media-control awn-applet-media-player awn-applet-mount awn-applet-notification-area awn-applet-notification-daemon awn-applet-places awn-applet-quit awn-applet-shinyswitcher awn-applet-slickswitcher awn-applet-stacks awn-applet-sysmon awn-applet-to-do awn-applet-volume-control awn-applet-weather awn-applet-webapplet awnsystemmonitor

%postun
/sbin/ldconfig

if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%clean
rm -rf $RPM_BUILD_ROOT

%files -f awn-extras.lang
%defattr(-,root,root,-)
%doc ChangeLog COPYING README
%config(noreplace) %{_sysconfdir}/gconf/schemas/*
%{_libdir}/awn
%dir %{python_sitearch}/awn/extras
%{python_sitearch}/awn/extras/*
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/avant-window-navigator/applets/*
%{_datadir}/avant-window-navigator/schemas/*


%changelog
* Fri Sep 17 2010 leigh scott <leigh123linux@googlemail.com> - 0.4.0-24
- apply upstream fix for cairo-menu (Bz 601616)

* Tue Sep 14 2010 leigh scott <leigh123linux@googlemail.com> - 0.4.0-23
- apply upstream fix for mail  applet (Bz 591211)

* Mon Sep 13 2010 leigh scott <leigh123linux@googlemail.com> - 0.4.0-22
- apply upstream fix for dialect applet (Bz 607132)

* Thu Aug 05 2010 Leigh Scott <leigh123linux@googlemail.com> - 0.4.0-21
- add requires alacarte (Bz 614700)

* Thu Aug 05 2010 Leigh Scott <leigh123linux@googlemail.com> - 0.4.0-20
- apply upstream fix for file-browser-launcher (Bz 604868)

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.4.0-19
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Mon Jul 05 2010 Leigh Scott <leigh123linux@googlemail.com> - 0.4.0-18
- rebuild for libwebkit

* Fri Jun 25 2010 Leigh Scott <leigh123linux@googlemail.com> - 0.4.0-17
- finish killig pandora

* Fri Jun 11 2010 Leigh Scott <leigh123linux@googlemail.com> - 0.4.0-16
- remove shebangs in a safer way (Bz 602929)

* Thu Jun 10 2010 Leigh Scott <leigh123linux@googlemail.com> - 0.4.0-15
- remove the pandora applet (Bz 595208)

* Tue Jun 08 2010 Leigh Scott <leigh123linux@googlemail.com> - 0.4.0-14
- apply upstream fix for weatherapplet (Bz 600700)

* Sat Jun 05 2010 Leigh Scott <leigh123linux@googlemail.com> - 0.4.0-13
- apply upstream fix for file-browser-launcher (Bz 600683)

* Fri Jun 04 2010 Leigh Scott <leigh123linux@googlemail.com> - 0.4.0-12
- apply upstream fix for weatherapplet (Bz 597791)

* Fri May 28 2010 Leigh Scott <leigh123linux@googlemail.com> - 0.4.0-11
- apply upstream fix for weatherapplet (Bz 592753)

* Thu May 27 2010 Leigh Scott <leigh123linux@googlemail.com> - 0.4.0-10
- apply upstream fix for slickswitcher (Bz 591110)

* Mon May 17 2010 Leigh Scott <leigh123linux@googlemail.com> - 0.4.0-9
- Add more requires python-vobject, python-gdata, python-dateutil,
  python-feedparser and gnome-python2-gconf

* Mon May 17 2010 Leigh Scott <leigh123linux@googlemail.com> - 0.4.0-8
- Add requires python-inotify

* Mon May 17 2010 Leigh Scott <leigh123linux@googlemail.com> - 0.4.0-7
- apply upstream fix for thinkhdaps (Bz 592357) 

* Fri May 14 2010 Leigh Scott <leigh123linux@googlemail.com> - 0.4.0-6
- apply upstream fix for awn-bwm (Bz 589724)

* Thu Apr 29 2010 Leigh Scott <leigh123linux@googlemail.com> - 0.4.0-5
- add versioned Obsoletes
- remove the test desktop files

* Thu Apr 29 2010 Leigh Scott <leigh123linux@googlemail.com> - 0.4.0-4
- add Obsoletes awn-extras-applets-devel

* Wed Apr 28 2010 Leigh Scott <leigh123linux@googlemail.com> - 0.4.0-3
- fix find_lang
- fix non-executable-script

* Sat Apr 24 2010 Leigh Scott <leigh123linux@googlemail.com> - 0.4.0-2
- disable shave in configure

* Sat Apr 24 2010 Leigh Scott <leigh123linux@googlemail.com> - 0.4.0-1
- update to 0.4.0
- remove devel package (it had no use)
- add  libdesktop-agnostic Br
- replace the ubuntu icon in the MiMenu applet
- add patch to fix python location
- remove test applets
- update scriptlets and python macros
- update licence tag

* Fri Jan 22 2010 Rahul Sundaram <sundaram@fedoraproject.org> - 0.3.2.2-4
- Rebuild for libgnome-desktop soname bump

* Fri Jan 15 2010 Caolán McNamara <caolanm@redhat.com> - 0.3.2.2-3
- Resolves: rhbz#511628 fix dup calthread.py entry in Makefile

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jun 09 2009 Sindre Pedersen Bjørdal <sindrepb@fedoraproject.org> - 0.3.2.2-1
- Remove python binding patch, merged upstream
- New upstream bugfix release
- Rebuild for new libvte

* Tue Apr 02 2009 Sindre Pedersen Bjørdal <sindrepb@fedoraproject.org> - 0.3.2.1-8
- Add patch to fix build on x86_64
- Enable webkit-gtk powered applets

* Tue Apr 02 2009 Sindre Pedersen Bjørdal <sindrepb@fedoraproject.org> - 0.3.2.1-4
- New upstream release
- Add devel package
- Update schemas scriplets
- Fix rpmlint warnings about non-executable scripts
- Add gnome-icon-cache scriplet
- Add shared library scriplet
- clean up files list
- Use python_sitearch, not sitelib as package is arch.

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.6-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Jan 06 2009 Caolán McNamara <caolanm@redhat.com> - 0.2.6-8
- Resolves: rhbz#478696 make build again

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.2.6-7
- Rebuild for Python 2.6

* Thu Aug 26 2008 Huang Peng <phuang@redhat.com> - 0.2.6-6
- Replace require gnome-python2 with gnome-python2-gnome

* Thu Jun 05 2008 Caolán McNamara <caolanm@redhat.com> - 0.2.6-5
- rebuild for dependancies

* Thu Mar 27 2008 Huang Peng <phuang@redhat.com> - 0.2.6-4
- Add libXcomposite-devel in BuildRequire.

* Mon Mar 24 2008 Huang Peng <phuang@redhat.com> - 0.2.6-3
- Remove require avant-window-navigator-python.

* Wed Mar 19 2008 Huang Peng <phuang@redhat.com> - 0.2.6-2
- Update BuildRequire and Require in rpm spec file.

* Mon Mar 17 2008 Huang Peng <phuang@redhat.com> - 0.2.6-1
- Update to 0.2.6.

* Wed Feb 20 2008 Huang Peng <phuang@redhat.com> - 0.2.4-1
- Update to 0.2.4.

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.2.1-2
- Autorebuild for GCC 4.3

* Tue Nov 6 2007 Huang Peng <phuang@redhat.com> - 0.2.1-1
- Initial build.
